View Issue Details

IDProjectCategoryView StatusLast Update
02120User patchesStatisticspublic2010-06-03 16:16
Reporteruser1123Assigned Toc_schmitz 
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.90 
Summary02120: Allow multiple matches when filtering results
Description

Say, for instance, you're searching across a zip code field and you want matches in 12345 and 55555 - the system should recognize what you're trying to do and return multiple matches.

I've written the code that produces the desired effect, and behaves the way that I've watched my users assumed it would. These changes occur at line 887 in admin/statistics.php

Replace the contents of the elseif statement with this


$selectSubs = array();
//We intepret and and % as wildcard matches, and use ' OR ' and , as the seperators
$pvParts = explode(",",str_replace('
','%',
str_replace(' OR ',',',$_POST[$pv])));
if(is_array($pvParts) AND count($pvParts)){
foreach($pvParts AS $pvPart){
$selectSubs[]=db_quote_id(substr($pv, 1, strlen($pv)))." LIKE '".trim($pvPart)."'";
}
if(count($selectSubs)){
$selects[] = ' ('.implode(' OR ',$selectSubs).') ';
}
}

TagsNo tags attached.
Complete LimeSurvey version number (& build)

Activities

c_schmitz

c_schmitz

2010-03-15 15:54

administrator   ~11348

Incorporated for version 1.90. Thank you!

Issue History

Date Modified Username Field Change
2008-06-16 23:39 user1123 New Issue
2010-01-14 22:36 c_schmitz Status new => confirmed
2010-03-13 16:13 c_schmitz Status confirmed => acknowledged
2010-03-15 15:54 c_schmitz Note Added: 11348
2010-03-15 15:54 c_schmitz Status acknowledged => resolved
2010-03-15 15:54 c_schmitz Fixed in Version => 1.90
2010-03-15 15:54 c_schmitz Resolution open => fixed
2010-03-15 15:54 c_schmitz Assigned To => c_schmitz
2010-06-03 16:16 c_schmitz Status resolved => closed